splashscreen 0.0.7

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new80

Splash Screen

  • A small Splash Screen used for an intro for any flutter application easily using

For iOS And Android

  • It 's Now Very Simple And Easy To Use
  • Coming Soon Will Add A Greater Functions
  • For Any information Send Message To Me On => monkey4gamesmmm@gmail.com

ScreenShot

screenshot description (alt)

Usage

Example

To use this package :

  dependencies:
    flutter:
      sdk: flutter
    splashscreen:

How to use

      new SplashScreen(
      seconds: 14,
      navigateAfterSeconds: new AfterSplash(),
      title: new Text('Welcome In SplashScreen'),
      imageNetwork: 'https://i.imgur.com/TyCSG9A.png',
      backgroundColor: Colors.white,
      styleTextUnderTheLoader: new TextStyle(),
      photoSize: 100.0,
      loaderColor: Colors.red
    );

Example


import 'package:flutter/material.dart';
import 'package:splashscreen/splashscreen.dart';
void main(){
  runApp(new MaterialApp(
    home: new MyApp(),
  ));
}


class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => new _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return new SplashScreen(
      seconds: 14,
      navigateAfterSeconds: new AfterSplash(),
      title: new Text('Welcome In SplashScreen',
      style: new TextStyle(
        fontWeight: FontWeight.bold,
        fontSize: 20.0
      ),),
      imageNetwork: 'https://i.imgur.com/TyCSG9A.png',
      backgroundColor: Colors.white,
      styleTextUnderTheLoader: new TextStyle(),
      photoSize: 100.0,
      onClick: ()=>print("Flutter Egypt"),
      loaderColor: Colors.red
    );
  }
}

class AfterSplash extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new Scaffold(
      appBar: new AppBar(
      title: new Text("Welcome In SplashScreen Package")
      ),
      body: new Center(
        child: new Text("Succeeded!",
        style: new TextStyle(
          fontWeight: FontWeight.bold,
          fontSize: 30.0
        ),),

      ),
    );
  }
}

[0.0.7] - Add A ScreenShot in README.md

  • Only Edit in README.md

[0.0.6] - Fix Some Issues

  • Fix Some Issues

[0.0.5] - Loader Color

  • Add Color Feature To Loader (CircularProgressIndicator)

[0.0.4] - Release Preview

  • Add onClick And Fix Some Errors

[0.0.3] - Beta 2

  • Add Some Features (photoRadius)

[0.0.2] - Fix Issues

  • Fix Big Issues , Bugs and Infinite Navigation

[0.0.1] - Beta 1

  • SplashScreen Library First Release

example/example.dart

import 'package:flutter/material.dart';
import 'package:splashscreen/splashscreen.dart';
void main(){
  runApp(new MaterialApp(
    home: new MyApp(),
  ));
}


class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => new _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return new SplashScreen(
      seconds: 14,
      navigateAfterSeconds: new AfterSplash(),
      title: new Text('Welcome In SplashScreen',
      style: new TextStyle(
        fontWeight: FontWeight.bold,
        fontSize: 20.0
      ),),
      imageNetwork: 'https://flutter.io/images/catalog-widget-placeholder.png',
      backgroundColor: Colors.white,
      styleTextUnderTheLoader: new TextStyle(),
      photoSize: 100.0,
      onClick: ()=>print("Flutter Egypt"),
      loaderColor: Colors.red,
    );
  }
}

class AfterSplash extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new Scaffold(
      appBar: new AppBar(title: new Text("Welcome In SplashScreen Package")),
      body: new Center(
        child: new Text("Succeeded!",
        style: new TextStyle(
          fontWeight: FontWeight.bold,
          fontSize: 30.0
        ),),

      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  splashscreen: "^0.0.7"

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:splashscreen/splashscreen.dart';
  
Version Uploaded Documentation Archive
0.0.7 Jul 4, 2018 Go to the documentation of splashscreen 0.0.7 Download splashscreen 0.0.7 archive
0.0.6 Jul 4, 2018 Go to the documentation of splashscreen 0.0.6 Download splashscreen 0.0.6 archive
0.0.5 Jul 1, 2018 Go to the documentation of splashscreen 0.0.5 Download splashscreen 0.0.5 archive
0.0.4 Jul 1, 2018 Go to the documentation of splashscreen 0.0.4 Download splashscreen 0.0.4 archive
0.0.3 Jul 1, 2018 Go to the documentation of splashscreen 0.0.3 Download splashscreen 0.0.3 archive
0.0.2 Jun 30, 2018 Go to the documentation of splashscreen 0.0.2 Download splashscreen 0.0.2 archive
0.0.1 Jun 30, 2018 Go to the documentation of splashscreen 0.0.1 Download splashscreen 0.0.1 archive

Analysis

We analyzed this package on Jul 13, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.63.0
  • pana: 0.11.3
  • Flutter: 0.5.4

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
61 / 100
Health:
Code health derived from static analysis. [more]
99 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100 / 100
Overall score:
Weighted score of the above. [more]
80
Learn more about scoring.

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Suggestions

  • Package is pre-v1 release.

    While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction API.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 1 hint.

    Run flutter format to format lib/splashscreen.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.20.1 <=2.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.6 1.14.10
meta 1.1.5
sky_engine 0.0.99
typed_data 1.1.5
vector_math 2.0.6 2.0.7
Dev dependencies
flutter_test